UTFDataFormatException (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.io, class: UTFDataFormatException
Keywords: java.io.UTFDataFormatException class

# Class UTFDataFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.UTFDataFormatException

All Implemented Interfaces:
  `Serializable`

public class UTFDataFormatException extends IOException
Signals that a malformed string in modified UTF-8 format has been read in a data input stream or by any class that implements the data input interface. See the `DataInput` class description for the format in which modified UTF-8 strings are read and written.

Since:
  1.0
See Also:
  - `DataInput`
  - `DataInputStream.readUTF(java.io.DataInput)`
  - `IOException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UTFDataFormatException()`
  Constructs a `UTFDataFormatException` with `null` as its error detail message.
  `UTFDataFormatException(String s)`
  Constructs a `UTFDataFormatException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### UTFDataFormatException

    public UTFDataFormatException()
    Constructs a `UTFDataFormatException` with `null` as its error detail message.

  - ### UTFDataFormatException

    public UTFDataFormatException(String s)
    Constructs a `UTFDataFormatException` with the specified detail message. The string `s` can be retrieved later by the `Throwable.getMessage()` method of class `java.lang.Throwable`.
    Parameters:
      `s` - the detail message.